%define oname Thunar
%define iconname thunar.png

%define major 2
%define apiversion 1
%define libname %mklibname %{name} %{apiversion} %{major}
%define develname %mklibname %{name} -d

Summary:	New modern file manager for the Xfce Desktop  Environment
Name:		thunar
Version:	0.9.0
Release:	%mkrel 6
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://thunar.xfce.org
Source0:	%{oname}-%{version}.tar.bz2
Patch0:		%{oname}-0.9.0-zombies.patch
Patch1:         %{oname}-0.9.0-missing-audio-cds-for-volman.patch
Patch2:         %{oname}-0.9.0-use-eject-where-necessary.patch
#(tpg) http://bugzilla.xfce.org/show_bug.cgi?id=3614
Patch3:		%{oname}-0.9.0-icons-extension-strip.patch
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:	exo-devel
BuildRequires:	gamin-devel
BuildRequires:	hal-devel
BuildRequires:	perl(XML::Parser)
BuildRequires:	dbus-glib-devel
BuildRequires:	desktop-file-utils
BuildRequires:	xfce4-panel-devel
BuildRequires:	libpng-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpcre-devel
BuildRequires:	libexif-devel
BuildRequires:	libGConf2-devel
BuildRequires:	libusb-devel
Requires:	shared-mime-info >= 0.15
Requires:	exo
Requires:	thunar-volman
Requires(post):	desktop-file-utils >= 0.10
Requires(postun): desktop-file-utils >= 0.10
Obsoletes:	xffm
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Thunar has been designed from the ground up to be fast and easy-to-use.
Its user interface is clean and intuitive, and does not include any confusing
or useless options. Thunar is fast and responsive with a good start up time
and directory load time. Thunar is accessible using Assistive Technologies and
is fully standards  compliant.

Beside the basic file management features, Thunar includes additional features
that set it ahead of other file managers available for the Unix/Linux desktop
today. For example, Thunar includes a so called Bulk Renamer that allows users
to easily rename multiple files at once using criterions that can be specified
using the available renamer plugins. Probably the most interesting renamer here
is the Audio Tags renamer, which generates new file names based on the tags
present in audio files.

Using the Thunar Extensions Framework it is easy to extend the basic
functionality provided by Thunar to integrate even complex tasks into the file
manager, although the extension framework is still very limited in the 1.0
series, and the 2.0 series will include a way more powerful plugin interface
that allows to adjust virtually every aspect of the file manager. But since
writing extensions for the file manager is still a difficult and time consuming
job, the User Customizable Actions plugin provides users with an easy way to
extend the file and folder context menus with their own custom actions.

%package -n %{libname}
Summary:	Libraries for the thunar filemanager
Group:		Graphical desktop/Xfce

%description -n %{libname}
Libraries for the thunar filemanager.

%package -n %{develname}
Summary:	Development files for the thunar filemanager
Group:		Development/Other
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%mklibname %{name} 1 2 -d

%description -n %{develname}
Development files for the thunar filemanager.

%prep
%setup -qn %{oname}-%{version}
%patch0 -p1
%patch1 -p0
%patch2 -p1 -b .eject
%patch3 -p1 -b .icon

%build
%configure2_5x \
    --sysconfdir=%{_sysconfdir}/X11 \
    --with-volume-manager=hal \
    --enable-dbus \
    --enable-gnome-thumbnailers \
    --enable-startup-notification \
    --enable-exif \
    --enable-pcre

%make

%install
rm -rf %{buildroot}
%makeinstall_std

desktop-file-install \
    --add-category="FileManager" \
    --add-only-show-in="XFCE" \
    --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# Remove unneeded files
rm -f %{buildroot}%{_libdir}/thunarx-1/thunar-uca.la
rm -f %{buildroot}%{_datadir}/doc/Thunar/README.thunarrc
rm -f %{buildroot}%{_datadir}/doc/Thunar/README.volumes

%find_lang %{oname}

%clean
rm -rf %{buildroot}

%post
%{update_menus}
%{update_desktop_database}
%{update_mime_database}
%update_icon_cache hicolor

%postun
%{clean_menus}
%{clean_desktop_database}
%{clean_mime_database}
%clean_icon_cache hicolor

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -f %{oname}.lang
%defattr(-,root,root)
%doc AUTHORS FAQ HACKING README THANKS TODO
%doc docs/README.*
%dir %{_sysconfdir}/X11/xdg/Thunar
%dir %{_datadir}/Thunar
%exclude %{_sysconfdir}/X11/xdg/Thunar/uca.xml
%{_bindir}/*
%{_datadir}/applications/*
%{_iconsdir}/hicolor/*
%{_datadir}/pixmaps/*
%{_datadir}/dbus-1/services/*
%{_datadir}/doc/Thunar
%{_datadir}/Thunar/sendto/thunar-sendto-email.desktop
%{_libdir}/thunarx-1/thunar-uca.so
%{_libdir}/ThunarHelp
%{_libdir}/thunar-vfs-mime-cleaner-1
%{_libdir}/ThunarBulkRename
%{_libdir}/thunarx-1/thunar-apr.*
%{_libdir}/thunarx-1/thunar-sbr.*
%{_libdir}/thunar-sendto-email
%{_libdir}/thunar-vfs-font-thumbnailer-1
%{_libdir}/thunar-vfs-pixbuf-thumbnailer-1
%{_libdir}/thunar-vfs-update-thumbnailers-cache-1
%{_mandir}/man1/*
%{_datadir}/thumbnailers/thunar-vfs-font-thumbnailer-1.desktop
%{_libdir}/xfce4/panel-plugins/thunar-tpa
%{_datadir}/xfce4/panel-plugins/thunar-tpa.desktop
%{_datadir}/gtk-doc/html/thunar-vfs/*
%{_datadir}/gtk-doc/html/thunarx/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*%{apiversion}.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%dir %{_includedir}/thunar-vfs-1
%{_includedir}/thunar-vfs-1/*
%dir %{_includedir}/thunarx-1
%{_includedir}/thunarx-1/*
%{_libdir}/lib*.so
%{_libdir}/lib*.*a
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Mar 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.0-6mdv2008.1
+ Revision: 189406
- Patch3: fix entension stripping for icons (Xfce upstream bug #3614)

* Wed Mar 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.0-5mdv2008.1
+ Revision: 188986
- add missing buildrequires on libusb-devel
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix description-line-too-long
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.0-4mdv2008.1
+ Revision: 121150
- add patch 2 (show Eject for all removeable media. not only for disks)

* Thu Dec 13 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.0-3mdv2008.1
+ Revision: 119151
- provide better version on patch 0 (please see http://bugzilla.xfce.org/show_bug.cgi?id=2983)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - do not package big ChangeLog

* Tue Dec 04 2007 Jérôme Soyer <saispo@mandriva.org> 0.9.0-2mdv2008.1
+ Revision: 115264
- Add Upstream Patch and bump release

* Tue Dec 04 2007 Jérôme Soyer <saispo@mandriva.org> 0.9.0-1mdv2008.1
+ Revision: 115199
- New release 0.9.0

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix summary-ended-with-dot

* Tue Nov 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8.0-10mdv2008.1
+ Revision: 110603
- update summary
- update description
- remove buildrequires on libxml2-devel
- add missing buildrequires on libpcre,libexif,libpng,libjpeg and libGConf2
- new license policy
- revert last change
- fix desktop entry

* Fri Sep 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8.0-8mdv2008.0
+ Revision: 91878
- exclude config files which are now in mandriva-xfce-config package

* Tue Sep 04 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8.0-7mdv2008.0
+ Revision: 79434
- provide patch 0, which prevent zombie process
- set configure options

* Sat Aug 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8.0-6mdv2008.0
+ Revision: 71243
- man pages are now lzma'd
- adjust provides
- own directory
- fix file list
- new devel library policy
- drop X-MandrivaLinux
- add missing scriplets

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 0.8.0-5mdv2008.0
+ Revision: 36206
- rebuild with correct optflags

  + Jérôme Soyer <saispo@mandriva.org>
    - Rebuild for Applet in Panel

* Thu May 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8.0-3mdv2008.0
+ Revision: 32993
- revert libname
- correct %%{major}
- drop old menu style
- add macros to %%post and %%postun
- drop buildrequires on ImageMagick
- spec file clean


* Tue Apr 03 2007 Jérôme Soyer <saispo@mandriva.org> 0.8.0-2mdv2007.1
+ Revision: 150358
- Add thunar Requires

* Tue Jan 23 2007 Sébastien Savarin <plouf@mandriva.org> 0.8.0-1mdv2007.1
+ Revision: 112319
- New release 0.8.0

  + Jérôme Soyer <saispo@mandriva.org>
    - Add Obsoletes

* Fri Dec 15 2006 Jérôme Soyer <saispo@mandriva.org> 0.5.0rc2-2mdv2007.1
+ Revision: 97238
- Fix build
- Fix %%files
- fix buildrequires
- Fix release
- Add BuildRequires
- New release

* Sat Dec 02 2006 Pascal Terjan <pterjan@mandriva.org> 0.3.2-0.beta2.6mdv2007.1
+ Revision: 90083
- Rebuild for new DBUS

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add BuildRequires
    - import thunar-0.3.2-0.beta2.4mdv2007.0

* Wed Aug 02 2006 Charles A Edwards <eslrahc@mandriva.org> 0.3.2-0.beta2.4mdv2007.0
- rebuild for new dbus

* Thu Jul 13 2006 Charles A Edwards <eslrahc@mandriva.org> 0.3.2-0.beta2.3mdv2007.0
- use icon marco properly

* Thu Jul 13 2006 Charles A Edwards <eslrahc@mandriva.org> 0.3.2-0.beta2.2mdv2007.0
- add showonly to .desktop
- use icon marco

* Tue Jul 11 2006 Charles A Edwards <eslrahc@mandriva.org> 0.3.2-0.beta2.1mdv2007.0
- 0.3.2beta2
- xdg
- update file list

* Wed Apr 26 2006 Jerome Soyer <saispo@mandriva.org> 0.3.0-0.beta1.1mdk
- Tue Apr 18 2006 trem <trem@mandriva.org> 0.3.0-0.beta1.1mdk
- 0.3.0beta1

* Sat Mar 11 2006 Marcel Pol <mpol@mandriva.org> 0.2.3-0.svn_r20246.1mdk
- svn r20246
- new soname
- requires exo
- buildrequires hal-devel
- update filelist

* Sun Feb 05 2006 Marcel Pol <mpol@mandriva.org> 0.2.1-0.svn_r19739.2mdk
- buildrequires perl-XML-Parser

* Sun Feb 05 2006 Marcel Pol <mpol@mandriva.org> 0.2.1-0.svn_r19739.1mdk
- 0.2.1 svn r19739
- initial Mandriva package

